## hdf-eos4 2.17v1.00.dfsg.1

=== Makefile ===
#----------------------------------------------------------------------------
# file:         makefile for HDF-EOS (for internal ECS usage only)
#
# environment:  requires environment established by the ECS .buildrc file
# 
# environment variables dependencies:
#   MAKECMD  make command to be run on make files
#   ARCH     architecture (i.e. hardware/os type)
#
#
# author:  Guru Tej S. Khalsa / Space Applications Corp.
#          Adura Adekunjo    / L3 Communications GSI
#
# history:
#       10-Nov-1997 GTSK Initital version
#       23-Oct-2003 AA   Modified for Toolkit Linux Delivery
#
# notes:
#       1) This file is only for use by ECS Configuration Management (CM)
#	   personnel and software.  This file should not be distributed
#	   as part of the standard HDF-EOS delivery.
#----------------------------------------------------------------------------

# define shell to be used (use ksh so we can use the "." command)

SHELL=/bin/ksh

# define MAKE to be equivalant to $(MAKECMD)

MAKE=$(MAKECMD)

# define the location of the HDF-EOS STAGE area

HE_STAGE=/ecs/formal/STAGE/hdfeos

# define the location of the standard HDF-EOS development area

HE_HOME=/ecs/hdfeos

# define HDF base directory

HDF_BASE=/ecs/cots/hdf

# define current HDF version

CURRENT_HDF=HDF4.2r3
CURRENT_SZIP=szip-2.1

# define SDP Toolkit home directory

TK_HOME=/ecs/formal/TOOLKIT

# name of tar files for delivery
HDFEOS_SOURCE_TAR=HDFEOS_SOURCE.tar
HDFEOS_TESTDRIVERS_TAR=HDFEOS_TESTDRIVERS.tar

# define the default compiler optimization level
OPT_LVL=-g

# define default target

default:
	@echo "This file is for use by ECS Configuration Management processes only."

# define a target to build BOTH variations (or "flavors") of HDF-EOS
# for a given "brand" (i.e. architecture type)

full: opt debug

# define a target to build the "debug" variation (or "flavor") of HDF-EOS
# for a given "brand" (i.e. architecture type) ("debug" means the library
# will be compiled for use in a souce code debugger)

debug:
	@$(MAKE) flavor_dir FLAVOR=$@
	@export use_flavor=1; $(MAKE) $(TARGET) OPT_LVL=-g FLAVOR=$@

# define a target to build the "optimized" variation (or "flavor") of
# HDF-EOS for a given "brand" (i.e. architecture type) ("optimized" means the
# library will be optimized for execution speed by the compiler)

opt:
	@$(MAKE) flavor_dir FLAVOR=$@
	@export use_flavor=1; $(MAKE) $(TARGET) OPT_LVL=-O FLAVOR=$@

# define standard CM targets

# NOTE: The standard targets defined by ECS CM are:
#       BuildImake, ProductHs, ProductLibs, LastPass, Deliver
#
#       Here the above targets are shadowed by the targets:
#       BuildImake2, ProductHs2, ProductLibs2, LastPass2, Deliver2
#       respectively.  The original targets only call the target
#       HE_ENV which sets up the HDF-EOS environment and then
#       builds the shadow target.
#       For SGI 32 Falvor build or linux 12 Falvor build these targets
#       renamed to FL_......

BuildImake:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

BuildImake2:
	@echo "No Imakefile to build."

ProductHs:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

ProductHs2:
	@echo "No header files to generate or promote."
	@/bin/touch include/HE2_config.h

ProductLibs:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

ProductLibs2:
	@if [ ! -e $(HDFEOS_HOME)/lib/$(ARCH) ] ; then	\
		cd $(HDFEOS_HOME)/lib;			\
		ln -s `basename $(HDFEOS_LIB)` $(ARCH);		\
	fi
	@cd $(HDFEOS_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp

LastPass:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

LastPass2:
	@if [ ! -e $(HDFEOS_HOME)/bin/$(ARCH) ] ; then	\
		cd $(HDFEOS_HOME)/bin;			\
		ln -s `basename $(HDFEOS_BIN)` $(ARCH);\
	fi
	@cd $(HDFEOS_HOME)/util; $(MAKE) $(MFLAGS) all

#	@echo "No utilites to build."



FL_BuildImake:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_BuildImake2:
	@echo "No Imakefile to build."

FL_ProductHs:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_ProductHs2:
	@echo "No header files to generate or promote."

FL_ProductLibs:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2
	@/bin/touch include/HE2_config.h

FL_ProductLibs2:
	@if [ ! -e $(HDFEOS_HOME)/lib/$(ARCH) ] ; then	\
		cd $(HDFEOS_HOME)/lib;			\
		ln -s `basename $(HDFEOS_LIB)` $(ARCH);		\
	fi
	@cd $(HDFEOS_HOME)/src; $(MAKE) $(MFLAGS) all
	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp

FL_LastPass:
	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2

FL_LastPass2:
	@if [ ! -e $(HDFEOS_HOME)/bin/$(ARCH) ] ; then	\
		cd $(HDFEOS_HOME)/bin;			\
		ln -s `basename $(HDFEOS_BIN)` $(ARCH);\
	fi
	@cd $(HDFEOS_HOME)/util; $(MAKE) $(MFLAGS) all

#	@echo "No utilites to build."



Deliver:
	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2

Deliver2:
	tar cvfX $(HE_HOME)/install/$(HDFEOS_SOURCE_TAR) $(HE_HOME)/make_exclude_list -C /ecs ./hdfeos
	tar cvf $(HE_HOME)/install/$(HDFEOS_TESTDRIVERS_TAR) -C /ecs ./hdfeos/testdrivers

DaacDeliver:
	@if [ $(ARCH) = "sgi6n32" ] ; then				    \
		for arch in sgi6n32 sgi6 ; do			            \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
				$(MAKECMD) full TARGET=$$targ ARCH=$$arch;  \
			done;						    \
		done;							    \
	elif [ $(ARCH) = "irix65" ] ; then				    \
		for arch in sgi6n32 sgi6 ; do			            \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
				$(MAKECMD) full TARGET=$$targ ARCH=$$arch;  \
			done;						    \
		done;                                                       \
	else								    \
		for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do		    \
			$(MAKECMD) full TARGET=$$targ;			    \
		done;							    \
	fi

LinuxDaacDeliver:  
	@if [ $(ARCH) = "linux" ] ; then				    \
		for arch in linux ; do					    \
			for targ in FL_ProductHs FL_ProductLibs FL_LastPass ; do	    \
			$(MAKECMD) full TARGET=$$targ ARCH=$$arch;	    \
		done ;							    \
		done ;							    \
	fi

# this is a special target used to establish the HDF-EOS environment

FL_HE_ENV:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;                      \
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;         \
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux; brand=$(ARCH) ;;    \
		*)       brand=$(ARCH); ;;			\
	esac;							\
	postfix=""; 						\
	opt_flag=-O;						\
	case $(FLAVOR) in					\
		*debug)						\
			opt_flag=-g;				\
			postfix=_debug;				\
		;;						\
	esac;							\
	HDFEOS_HOME=$(HE_HOME);					\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/$${brand}$$postfix/hdfeos_env.ksh;	\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib;		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDFINC PGSINC SZIPINC SZIPLIB HDFLIB;	\
	$(MAKE) $(MFLAGS) $(TARGET)

HE_ENV:
	@case $(ARCH) in					\
		hp10)    brand=hp;      ;;                      \
		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;         \
		irix65)  brand=irix65; sgi_mode=65   ;;         \
		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
		sun5.5)  brand=sun5;    ;;			\
		sun5.8)  brand=sun5.8;    ;;			\
		linux)   LINUX_BRAND=linux; brand=$(ARCH);;     \
		*)       brand=$(ARCH); ;;			\
	esac;							\
	HDFEOS_HOME=$(HE_HOME);					\
	opt_flag=$(OPT_LVL);					\
	export HDFEOS_HOME sgi_mode opt_flag LINUX_BRAND;	\
	. $(HE_HOME)/bin/tmp/hdfeos_env.ksh.tmp;		\
	if [ $(ARCH) = "linux" ] ; then				\
	CC="gcc -m32";						\
	export CC;						\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	fi;							\
	MAKE="$(MAKECMD)";					\
	AR='ar r';						\
	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib;		\
	PGSINC=$(TK_HOME)/include;				\
	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	export MAKE AR HDFINC PGSINC SZIPINC SZIPLIB HDFLIB;	\
	$(MAKE) $(MFLAGS) $(TARGET)

flavor_dir:
	@sgi_mode=sgi32;					\
	LNX_COMP_FLAG="-m32";					\
	export LNX_COMP_FLAG;					\
	opt_flag=-O;						\
	postfix="";						\
	case $(FLAVOR) in					\
		*debug)						\
			opt_flag=-g;				\
			postfix=_debug;				\
		;;						\
	esac;							\
	case $(ARCH) in						\
		hp10)						\
			brand=hp;				\
		;;						\
		sgi6n32)					\
			brand=sgi32;				\
			sgi_mode=n32;				\
		;;						\
		irix65)                                         \
			brand=irix65;				\
			sgi_mode=65;				\
		;;						\
		sgi6)						\
			brand=sgi64;				\
			sgi_mode=64;				\
		;;						\
		sun5.5)						\
			brand=sun5;				\
		;;						\
		sun5.8)						\
			brand=sun5.8;				\
		;;						\
		*)						\
			brand=$(ARCH);				\
		;;						\
	esac;							\
	he_obj=$(HE_HOME)/obj/$${brand}$$postfix;		\
	he_lib=$(HE_HOME)/lib/$${brand}$$postfix;		\
	he_bin=$(HE_HOME)/bin/$${brand}$$postfix;		\
	tmpdir=$(HE_HOME)/bin/tmp;				\
	if [ ! -d $$he_obj ] ; then				\
		mkdir $$he_obj;					\
	fi;							\
	if [ ! -d $$he_lib ] ; then				\
		mkdir $$he_lib;					\
	fi;							\
	if [ ! -d $$he_bin ] ; then				\
		mkdir $$he_bin;					\
	fi;							\
	hdflib=$(HDF_BASE)/$${brand}/$(CURRENT_HDF)/lib;	\
	hdfinc=$(HDF_BASE)/$${brand}/$(CURRENT_HDF)/include;	\
	sziplib=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
	szipinc=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
	if [ ! -f $$he_bin/hdfeos_env.csh ] ; then			\
		cd $$he_bin;						\
		echo "setenv HDFEOS_HOME $(HE_HOME)" > hdfeos_env.csh;	\
		echo "setenv HDFLIB $$hdflib" >> hdfeos_env.csh;	\
		echo "setenv HDFINC $$hdfinc" >> hdfeos_env.csh;	\
		echo "setenv SZIPLIB $$sziplib" >> hdfeos_env.csh;	\
		echo "setenv SZIPINC $$szipinc" >> hdfeos_env.csh;	\
		echo "set sgi_mode=$$sgi_mode" >> hdfeos_env.csh;	\
		echo "set opt_flag=$$opt_flag" >> hdfeos_env.csh;	\
		echo "set use_flavor=1" >> hdfeos_env.csh;		\
		sed "s^LNX_CMP_FLAG^$$LNX_COMP_FLAG^" 			\
		$$tmpdir/hdfeos_env.csh.tmp >> hdfeos_env.csh;		\
	fi;								\
	if [ ! -f $$he_bin/hdfeos_env.ksh ] ; then			\
		cd $$he_bin;						\
		echo "HDFEOS_HOME=$(HE_HOME)" > hdfeos_env.ksh;		\
		echo "HDFLIB=$$hdflib" >> hdfeos_env.ksh;		\
		echo "HDFINC=$$hdfinc" >> hdfeos_env.ksh;		\
		echo "SZIPLIB=$$sziplib" >> hdfeos_env.ksh;		\
		echo "SZIPINC=$$szipinc" >> hdfeos_env.ksh;		\
		echo "sgi_mode=$$sgi_mode" >> hdfeos_env.ksh;		\
		echo "opt_flag=$$opt_flag" >> hdfeos_env.ksh;		\
		echo "use_flavor=1" >> hdfeos_env.ksh;			\
		sed "s^LNX_CMP_FLAG^$$LNX_COMP_FLAG^" 			\
		$$tmpdir/hdfeos_env.ksh.tmp >> hdfeos_env.ksh;		\
	fi

=== src/Makefile ===
# Copyright (C) 1996 Hughes and Applied Research Corporation
#
# Permission to use, modify, and distribute this software and its
# documentation for any purpose without fee is hereby granted, provided that
# the above copyright notice appear in all copies and that both that copyright
# notice and this permission notice appear in supporting documentation.
#
# Makefile
# 
# Makefile for field build of HDFEOS
#
# The following environment variables must be defined:
#
#   Flags:
#     AR           library archiving program and flags (e.g.: ar -r)
#     CC           C language compiler (e.g.: cc)
#     CFHFLAGS     C compiler flags and cfortran.h switches
#                  (e.g.: -Xa -O -DsunFortan)
#     RANLIB       ranlib program (e.g. ranlib)
#
#   Directories:
#     HDFEOS_INC   HDF-EOS include directory ($HDFEOS_HOME/include)
#     HDFEOS_LIB   HDF-EOS library directory ($HDFEOS_HOME/lib/$BRAND)
#     HDFEOS_OBJ   HDF-EOS object directory ($HDFEOS_HOME/obj/$BRAND)

# force make program to use bourne shell
SHELL=/bin/sh

# define remove utility
RM = rm -f 

AR = ar -r

# define C preprocessor symbols 
DFLAGS = -D$(HDFSYS)

# location of include files need to compile source code
IFLAGS = -I. -I$(HDFEOS_INC) -I$(SZIPINC) -I$(HDFINC)

# object files needed to build library
LIBOFILES = \
	$(HDFEOS_OBJ)/EHapi.o \
	$(HDFEOS_OBJ)/GDapi.o \
	$(HDFEOS_OBJ)/PTapi.o \
	$(HDFEOS_OBJ)/SWapi.o

# default target, this just builds the hdfeos library
all:
	@touch ../include/HE2_config.h
	@if [ "$(BRAND)" = "sun4" ] ; then				\
		$(MAKE) $(MFLAGS) $(HDFEOS_LIB)/libhdfeos.a ranlib;	\
	else								\
		$(MAKE) $(MFLAGS) $(HDFEOS_LIB)/libhdfeos.a;		\
	fi

$(HDFEOS_LIB)/libhdfeos.a: $(LIBOFILES)
	$(AR) $@ $?

ranlib:
	$(RANLIB) $(HDFEOS_LIB)/libhdfeos.a

install: 
	@echo "no binaries to move"
	@echo "don't worry"

clean:
	$(RM) *.o $(HDFEOS_OBJ)/*.o

$(HDFEOS_OBJ)/EHapi.o : EHapi.c 
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS_OBJ)/SWapi.o : SWapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS_OBJ)/GDapi.o : GDapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

$(HDFEOS_OBJ)/PTapi.o : PTapi.c
	$(CC) $(CFHFLAGS) $(DFLAGS) $(IFLAGS) -c $? -o $@

.c.o:
	$(MAKE) $(MFLAGS) $(HDFEOS_OBJ)/$@

=== debian/changelog ===
hdf-eos4 (2.17v1.00.dfsg.1-5) unstable; urgency=low

  * Include dh-autoreconf in B-D. Yes, this was tested on pbuilder. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Oct 2013 10:25:30 +0100

hdf-eos4 (2.17v1.00.dfsg.1-4) unstable; urgency=low

  * Fix FTBFS on autoconf changes. Closes: #725607.
  * Now use Standards-Version: 3.9.4
  * Multi-archify.  Move to debhelper 9.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Oct 2013 14:41:26 +0100

hdf-eos4 (2.17v1.00.dfsg.1-3) unstable; urgency=low

  * Transition build-dep libjpeg62-dev -> libjpeg-dev. Closes: #634028. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2011 23:52:42 +0100

hdf-eos4 (2.17v1.00.dfsg.1-2) unstable; urgency=low

  * Build using debhelper 7 + source format 3, rather than cdbs. 
    - chrpath, cdbs no longer needed.
  * Add patch to disable swinqimaps test that breaks due to glibc free()
    warning; enable other tests.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Jul 2011 09:43:38 +0100

hdf-eos4 (2.17v1.00.dfsg.1-1) unstable; urgency=low

  * New upstream release. 
  * Now source format 3.0 (quilt). Remove quilt build dependency.
  * Standards-Version: 3.9.2 
  * Add DEP-1 headers to patches.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2011 10:30:07 +0100

hdf-eos4 (2.16v1.00.dfsg.2-4) unstable; urgency=low

  * Build with pbuilder. Add chrpath dependency. Closes: #559913.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 19:58:52 +0000

hdf-eos4 (2.16v1.00.dfsg.2-3) unstable; urgency=low

  * Add dependency on automake, too. Closes: #559904.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 18:52:06 +0000

hdf-eos4 (2.16v1.00.dfsg.2-2) unstable; urgency=low

  * Add autoconf for autoreconf. Closes: 559891. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Dec 2009 17:20:02 +0000

hdf-eos4 (2.16v1.00.dfsg.2-1) unstable; urgency=low

  * Fixes thanks to Ivan Shmakov:
    - Add underscores to Fortran interface.a Closes: #555411.
  * Remove unnecessary conflicts with hdf-eos5. Closes: #555523. 
  * autoreconf adds a dependency on libtool. Closes: #555152. 
  * Now in source format 3.0 (quilt). Added quilt dependency.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Dec 2009 20:31:06 +0000

hdf-eos4 (2.16v1.00.dfsg.1-2) unstable; urgency=low

  * Add autoconf, asutomake dependencies for autoreconf. Closes: #546352.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Oct 2009 22:52:40 +0100

hdf-eos4 (2.16v1.00.dfsg.1-1) unstable; urgency=low

   * Initial Debian release. Closes: #530247.
   * DFSG-version: removed binaries without source.
   * libgctp now a separate package; don't include any references to this code,
     but use the external package instead.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Sep 2009 23:03:37 +0100 

=== debian/control ===
Source: hdf-eos4
Section: libs
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Standards-Version: 3.9.4
Homepage: http://www.hdfeos.org
Build-Depends: debhelper  (>= 9), dh-buildinfo,  gfortran, libhdf4g-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, autoconf, automake, dh-autoreconf

Package: libhdfeos0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Earth Observation System extensions to HDF4
 HDF-EOS4 is a software library designed built on HDF4 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 The library is extensible and new data structures can be added.

Package: libhdfeos-dev
Architecture: any
Section: libdevel
Depends: libhdfeos0 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description:  Development files for the HDF-EOS4 library
 HDF-EOS4 is a software library designed built on HDF4 to support EOS-specific
 data structures, namely Grid, Point, and Swath. The new data structures 
 are constructed from standard HDF data objects, using EOS conventions, through
 the use of a software library [1,4]. A key feature of HDF-EOS files is that
 instrument-independent services, such as subsetting by geolocation, can be
 applied to the files across a wide variety of data products. 
 .
 This package contains include files and static libraries for HDF-EOS4.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR:=`pwd`/debian/tmp/
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
INCDIR:=/usr/include/$(DEB_HOST_MULTIARCH)/hdf

PKGDIR:=`pwd`/debian/libhdfeos0
DEVPKGDIR:=`pwd`/debian/libhdfeos-dev

# Magic debhelper rule
%:
	dh   $@ --with autoreconf

override_dh_auto_clean:
	find . -type l -delete
	-$(MAKE) -k clean
	rm -f libtool config.status config.log samples/*.hdf testdrivers/*/*.hdf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --with-pic \
		CFLAGS="" CPPFLAGS="-Df2cFortran -I/usr/include/hdf"
	# FIXME: a sort of hack
	ln -sf testswath.f testdrivers/swath/testswath77.f
	ln -sf testpoint.f testdrivers/point/testpoint77.f
	# Delete the libtool crap and install debian libtool
	rm -f libtool
	ln -sf /usr/bin/libtool . 

override_dh_auto_install:
	dh_auto_install
	# Undo permissions we don't want
	$(MAKE) -C samples clean
	chmod -x samples/*
	rm config.status config.log
	mkdir -p $(DEVPKGDIR)/$(LIBDIR)/pkgconfig
	cp hdf-eos4.pc $(DEVPKGDIR)/$(LIBDIR)/pkgconfig
	mkdir -p $(PKGDIR)/$(LIBDIR)
	mv $(DESTDIR)/usr/lib/*.0 $(PKGDIR)/$(LIBDIR)
	mkdir -p $(DEVPKGDIR)/$(LIBDIR)
	mv $(DESTDIR)/usr/lib/*.a $(DEVPKGDIR)/$(LIBDIR)
	mkdir -p  $(DEVPKGDIR)/$(INCDIR)
	for d in ease.h cfortHdf.h HdfEosDef.h  HDFEOSVersion.h HE2_config.h ; do \
	  cp include/$$d $(DEVPKGDIR)/$(INCDIR) ; done
	dh_link -p libhdfeos0 $(LIBDIR)/libhdfeos.so.0.0.0  $(LIBDIR)/libhdfeos.so.0
	dh_link -p libhdfeos-dev $(LIBDIR)/libhdfeos.so.0.0.0 $(LIBDIR)/libhdfeos.so

## hdf-eos4 2.19v1.00%2Bdfsg.1

=== samples/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.10)
PROJECT (HDFEOS_SAMPLES)

#-----------------------------------------------------------------------------
# Setup include Directories
#-----------------------------------------------------------------------------
LINK_DIRECTORIES (
    ${HDFEOS_SRC_BINARY_DIR}
    ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}
)

#-----------------------------------------------------------------------------
# Define Sources
#-----------------------------------------------------------------------------
SET (samples
    SetupSwath
    DefineFields
    WriteFields
    AppendField
    DefineGDflds
    DefineLevels
    InquireGrid
    InquireSwath
    ReadFields
    ReadGDflds
    ReadLevels
    SetupGrid
    SetupPoint
    SubsetGrid
    SubsetPoint
    SubsetSwath
    UpdateLevels
    WriteGDflds
    WriteLevels
)

FOREACH (sample ${samples})
  ADD_EXECUTABLE (${sample} ${PROJECT_SOURCE_DIR}/${sample}.c)
  TARGET_NAMING (${sample} ${LIB_TYPE})
  TARGET_LINK_LIBRARIES (${sample} ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})
ENDFOREACH (sample ${samples})

IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
  # make test dir
  FILE (MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")

  SET (fort_samples
    appendfield
    definefields
    definegdflds
    definelevels
    inquiregrid
    inquireswath
    readfields
    readgdflds
    readlevels
    setupgrid
    setuppoint
    setupswath
    subsetgrid
    subsetpoint
    subsetswath
    updatelevels
    writefields
    writegdflds
    writelevels
  )

  FOREACH (sample ${fort_samples})
    ADD_EXECUTABLE (f_${sample} ${PROJECT_SOURCE_DIR}/${sample}.f)
    TARGET_NAMING (f_${sample} ${LIB_TYPE})
    TARGET_FORTRAN_WIN_PROPERTIES (f_${sample} "")
    SET_TARGET_PROPERTIES (f_${sample} PROPERTIES LINKER_LANGUAGE Fortran)
    TARGET_LINK_LIBRARIES (f_${sample} ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})
  ENDFOREACH (sample ${fort_samples})
ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)

SET (POINT_REFERENCE_FILES
  fixedBuoy0.txt
  fixedBuoy1.txt
  fixedBuoy1s.txt
  floatBuoy0.txt
  floatBuoy1.txt
  simple.txt
)
FOREACH (out_file ${POINT_REFERENCE_FILES})
  SET (outdest "${PROJECT_BINARY_DIR}/${out_file}")
  #MESSAGE (STATUS " Translating ${out_file}")
  ADD_CUSTOM_COMMAND (
      TARGET     SetupPoint
      POST_BUILD
      COMMAND    ${XLATE_UTILITY}
      ARGS       ${PROJECT_SOURCE_DIR}/${out_file} ${outdest}
  )
ENDFOREACH (out_file ${POINT_REFERENCE_FILES})
  
##############################################################################
##############################################################################
###           T H E   T E S T S                                            ###
##############################################################################
##############################################################################
IF (BUILD_TESTING)
  # Remove any output file left over from previous test run
  ADD_TEST (
      NAME swath_demo-clearall-objects
      COMMAND    ${CMAKE_COMMAND} -E remove  SwathFile.hdf
  )
  SET (sd_last_test "swath_demo-clearall-objects")

  SET (swath_demo
    SetupSwath
    DefineFields
    WriteFields
    ReadFields
    InquireSwath
    AppendField
    SubsetSwath
  )
  FOREACH (sample ${swath_demo})
    ADD_TEST (NAME swath_demo_${sample} COMMAND $<TARGET_FILE:${sample}>)
    IF (NOT "${sd_last_test}" STREQUAL "")
      SET_TESTS_PROPERTIES (swath_demo_${sample} PROPERTIES DEPENDS ${sd_last_test})
    ENDIF (NOT "${sd_last_test}" STREQUAL "")
    SET (sd_last_test "swath_demo_${sample}")
  ENDFOREACH (sample ${swath_demo})

  # Remove any output file left over from previous test run
  ADD_TEST (
      NAME grid_demo-clearall-objects
      COMMAND    ${CMAKE_COMMAND} -E remove GridFile.hdf
  )
  SET (gd_last_test "grid_demo-clearall-objects")

  SET (grid_demo
    SetupGrid
    DefineGDflds
    WriteGDflds
    ReadGDflds
    InquireGrid
    SubsetGrid
  )
  FOREACH (sample ${grid_demo})
    ADD_TEST (NAME grid_demo_${sample} COMMAND $<TARGET_FILE:${sample}>)
    IF (NOT "${gd_last_test}" STREQUAL "")
      SET_TESTS_PROPERTIES (grid_demo_${sample} PROPERTIES DEPENDS ${gd_last_test})
    ENDIF (NOT "${gd_last_test}" STREQUAL "")
    SET (gd_last_test "grid_demo_${sample}")
  ENDFOREACH (sample ${grid_demo})

  # Remove any output file left over from previous test run
  ADD_TEST (
      NAME point_demo-clearall-objects
      COMMAND    ${CMAKE_COMMAND} -E remove  PointFile.hdf
  )
  SET (pd_last_test "point_demo-clearall-objects")

  SET (point_demo
    SetupPoint
    DefineLevels
    WriteLevels
    ReadLevels
  )
  FOREACH (sample ${point_demo})
    ADD_TEST (NAME point_demo_${sample} COMMAND $<TARGET_FILE:${sample}>)
    IF (NOT "${pd_last_test}" STREQUAL "")
      SET_TESTS_PROPERTIES (point_demo_${sample} PROPERTIES DEPENDS ${pd_last_test})
    ENDIF (NOT "${pd_last_test}" STREQUAL "")
    SET (pd_last_test "point_demo_${sample}")
  ENDFOREACH (sample ${point_demo})

  IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
    # Remove any output file left over from previous test run
    ADD_TEST (
        NAME swath_demo_fortran-clearall-objects
        COMMAND    ${CMAKE_COMMAND} -E remove SwathFile.hdf
    )
    SET_TESTS_PROPERTIES (swath_demo_fortran-clearall-objects PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
    SET (sdf_last_test "swath_demo_fortran-clearall-objects")

    SET (swath_demo_fortran
      setupswath
      definefields
      writefields
      readfields
      inquireswath
      appendfield
      subsetswath
    )

    FOREACH (sample ${swath_demo_fortran})
      ADD_TEST (NAME swath_demo_fortran_${sample} COMMAND $<TARGET_FILE:f_${sample}>)
      SET_TESTS_PROPERTIES (swath_demo_fortran_${sample} PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
      IF (NOT "${sdf_last_test}" STREQUAL "")
        SET_TESTS_PROPERTIES (swath_demo_fortran_${sample} PROPERTIES DEPENDS ${sdf_last_test})
      ENDIF (NOT "${sdf_last_test}" STREQUAL "")
      SET (sdf_last_test "swath_demo_fortran_${sample}")
    ENDFOREACH (sample ${swath_demo_fortran})

    # Remove any output file left over from previous test run
    ADD_TEST (
        NAME grid_demo_fortran-clearall-objects
        COMMAND    ${CMAKE_COMMAND} -E remove GridFile.hdf
    )
    SET_TESTS_PROPERTIES (grid_demo_fortran-clearall-objects PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
    SET (gdf_last_test "grid_demo_fortran-clearall-objects")

    SET (grid_demo_fortran
      setupgrid
      definegdflds
      writegdflds
      readgdflds
      inquiregrid
      subsetgrid
    )
    FOREACH (sample ${grid_demo_fortran})
      ADD_TEST (NAME grid_demo_fortran_${sample} COMMAND $<TARGET_FILE:f_${sample}>)
      IF (NOT "${gdf_last_test}" STREQUAL "")
        SET_TESTS_PROPERTIES (grid_demo_fortran_${sample} PROPERTIES DEPENDS ${gdf_last_test})
      ENDIF (NOT "${gdf_last_test}" STREQUAL "")
      SET (gdf_last_test "grid_demo_fortran_${sample}")
    ENDFOREACH (sample ${grid_demo_fortran})

    # Remove any output file left over from previous test run
    ADD_TEST (
        NAME point_demo_fortran-clearall-objects
        COMMAND    ${CMAKE_COMMAND} -E remove PointFile.hdf
    )
    SET_TESTS_PROPERTIES (point_demo_fortran-clearall-objects PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
    SET (pdf_last_test "point_demo_fortran-clearall-objects")

    SET (point_demo_fortran
      setuppoint
      definelevels
      writelevels
      readlevels
    )
    FOREACH (sample ${point_demo_fortran})
      ADD_TEST (NAME point_demo_fortran_${sample} COMMAND $<TARGET_FILE:f_${sample}>)
      IF (NOT "${pdf_last_test}" STREQUAL "")
        SET_TESTS_PROPERTIES (point_demo_fortran_${sample} PROPERTIES DEPENDS ${pdf_last_test})
      ENDIF (NOT "${pdf_last_test}" STREQUAL "")
      SET (pdf_last_test "point_demo_fortran_${sample}")
    ENDFOREACH (sample ${point_demo_fortran})

  ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)

ENDIF (BUILD_TESTING)

=== src/Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 AR = ar -r
 
 # define C preprocessor symbols 
-DFLAGS = -D$(HDFSYS)
+DFLAGS = -D$(HDFSYS) -DHDFVIEWPLUGIN
 
 # location of include files need to compile source code
 IFLAGS = -I. -I$(HDFEOS_INC) -I$(SZIPINC) -I$(HDFINC)

=== testdrivers/point/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.8.10)
PROJECT (HDFEOS_TESTDRIVERS_POINT)

#-----------------------------------------------------------------------------
# Setup include Directories
#-----------------------------------------------------------------------------
LINK_DIRECTORIES (
    ${HDFEOS_SRC_BINARY_DIR}
    ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}
)

ADD_EXECUTABLE (testpoint ${PROJECT_SOURCE_DIR}/testpoint.c)
TARGET_NAMING (testpoint ${LIB_TYPE})
TARGET_LINK_LIBRARIES (testpoint ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})

IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
  # make test dir
  FILE (MAKE_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")

  ADD_EXECUTABLE (testpoint_f77 ${PROJECT_SOURCE_DIR}/testpoint.f)
  TARGET_NAMING (testpoint_f77 ${LIB_TYPE})
  TARGET_FORTRAN_WIN_PROPERTIES (testpoint_f77 "")
  SET_TARGET_PROPERTIES (testpoint_f77 PROPERTIES LINKER_LANGUAGE Fortran)
  TARGET_LINK_LIBRARIES (testpoint_f77 ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})

  IF (HAVE_F2CFORTRAN_32PTR)
    ADD_EXECUTABLE (testpoint_f90 ${PROJECT_SOURCE_DIR}/testpointf90-32.f)
    TARGET_NAMING (testpoint_f90 ${LIB_TYPE})
    TARGET_FORTRAN_WIN_PROPERTIES (testpoint_f90 "")
    SET_TARGET_PROPERTIES (testpoint_f90 PROPERTIES LINKER_LANGUAGE Fortran)
    TARGET_LINK_LIBRARIES (testpoint_f90 ${HDFEOS_SRC_LIB_TARGET} ${HDFEOS_GCTP_SRC_LIB_TARGET} ${LINK_LIBS})
  ENDIF (HAVE_F2CFORTRAN_32PTR)
ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)

SET (POINT_REFERENCE_FILES
  fixedBuoy0.txt
  fixedBuoy1.txt
  fixedBuoy1s.txt
  floatBuoy0.txt
  floatBuoy1.txt
  simple.txt
)
FOREACH (out_file ${POINT_REFERENCE_FILES})
  SET (outdest "${PROJECT_BINARY_DIR}/${out_file}")
  #MESSAGE (STATUS " Translating ${out_file}")
  ADD_CUSTOM_COMMAND (
      TARGET     testpoint
      POST_BUILD
      COMMAND    ${XLATE_UTILITY}
      ARGS       ${PROJECT_SOURCE_DIR}/${out_file} ${outdest}
  )
ENDFOREACH (out_file ${POINT_REFERENCE_FILES})

IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
  FOREACH (out_file ${POINT_REFERENCE_FILES})
    SET (outdest "${PROJECT_BINARY_DIR}/fortran/${out_file}")
    #MESSAGE (STATUS " Translating ${out_file}")
    ADD_CUSTOM_COMMAND (
        TARGET     testpoint_f77
        POST_BUILD
        COMMAND    ${XLATE_UTILITY}
        ARGS       ${PROJECT_SOURCE_DIR}/${out_file} ${outdest}
    )
  ENDFOREACH (out_file ${POINT_REFERENCE_FILES})
ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
  
##############################################################################
##############################################################################
###           T H E   T E S T S                                            ###
##############################################################################
##############################################################################
IF (BUILD_TESTING)

  ADD_TEST (NAME POINT_test_c COMMAND $<TARGET_FILE:testpoint>)

  ADD_TEST (NAME POINT_test_c_verbose COMMAND $<TARGET_FILE:testpoint> -v h)
  SET_TESTS_PROPERTIES (POINT_test_c_verbose PROPERTIES DEPENDS POINT_test_c)

  IF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)
    # Remove any output file left over from previous test run
    ADD_TEST (
        NAME POINT_test_f77-clearall-objects
        COMMAND    ${CMAKE_COMMAND} -E remove
            Pointc_Test.hdf Pointf_Test.hdf testpointf.txt
    )
    SET_TESTS_PROPERTIES (POINT_test_f77-clearall-objects PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
    SET_TESTS_PROPERTIES (POINT_test_f77-clearall-objects PROPERTIES DEPENDS POINT_test_c_verbose)

    ADD_TEST (NAME POINT_test_f77 COMMAND $<TARGET_FILE:testpoint_f77>)
    SET_TESTS_PROPERTIES (POINT_test_f77 PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
    SET_TESTS_PROPERTIES (POINT_test_f77 PROPERTIES DEPENDS POINT_test_f77-clearall-objects)

    IF (HAVE_F2CFORTRAN_32PTR)
      # Remove any output file left over from previous test run
      ADD_TEST (
          NAME POINT_test_f90-clearall-objects
          COMMAND    ${CMAKE_COMMAND} -E remove
              Pointc_Test.hdf Pointf_Test.hdf testpointf.txt
      )
      SET_TESTS_PROPERTIES (POINT_test_f90-clearall-objects PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
      SET_TESTS_PROPERTIES (POINT_test_f90-clearall-objects PROPERTIES DEPENDS POINT_test_f77)

      ADD_TEST (NAME POINT_test_f90 COMMAND $<TARGET_FILE:testpoint_f90>)
      SET_TESTS_PROPERTIES (POINT_test_f90 PROPERTIES WORKING_DIRECTORY "${PROJECT_BINARY_DIR}/fortran")
      SET_TESTS_PROPERTIES (POINT_test_f90 PROPERTIES DEPENDS POINT_test_f90-clearall-objects)
    ENDIF (HAVE_F2CFORTRAN_32PTR)
  ENDIF (HDFEOS_BUILD_FORTRAN AND HAVE_F2CFORTRAN_MACRO)

ENDIF (BUILD_TESTING)

=== debian/changelog ===
hdf-eos4 (2.19v1.00+dfsg.1-4) unstable; urgency=medium

  * Build using libhdf-alt-dev rather than libhdf-dev for compatability
    with libgdal. Closes: #796743 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2015 10:26:32 +0100

hdf-eos4 (2.19v1.00+dfsg.1-3) experimental; urgency=medium

   * Test build against libhdf4-alt-dev, not libhdf4g-dev, to fix FBTFS
     of ncl on mips.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Aug 2015 08:02:10 +0100

hdf-eos4 (2.19v1.00+dfsg.1-2) unstable; urgency=medium

  * Depend on libtool-bin not libtool. Roles have reversed.
  * Now at Standards-Version: 3.9.6

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Oct 2014 16:12:42 +0100

hdf-eos4 (2.19v1.00+dfsg.1-1) unstable; urgency=medium

  * New upstream release. Closes: #754467.
  * Now at Standards-Version: 3.9.5

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Jul 2014 19:41:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,9 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_auto_test:
+	@echo "Tests disabled"
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared --with-pic \

## hdf-eos4 2.19v1.00+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,12 @@
 #
 # author:  Guru Tej S. Khalsa / Space Applications Corp.
 #          Adura Adekunjo    / L3 Communications GSI
+#          Abe Taaheri / Raytheon IIS
 #
 # history:
 #       10-Nov-1997 GTSK Initital version
 #       23-Oct-2003 AA   Modified for Toolkit Linux Delivery
+#       02-Feb-2013 AT   Modified for Toolkit Linux64 build in clearcase
 #
 # notes:
 #       1) This file is only for use by ECS Configuration Management (CM)
@@ -43,7 +45,7 @@
 
 # define current HDF version
 
-CURRENT_HDF=HDF4.2r3
+CURRENT_HDF=HDF4.2.6
 CURRENT_SZIP=szip-2.1
 
 # define SDP Toolkit home directory
@@ -51,8 +53,8 @@
 TK_HOME=/ecs/formal/TOOLKIT
 
 # name of tar files for delivery
-HDFEOS_SOURCE_TAR=HDFEOS_SOURCE.tar
-HDFEOS_TESTDRIVERS_TAR=HDFEOS_TESTDRIVERS.tar
+HDFEOS_SOURCE_TAR=HDF-EOS2.19v1.00.tar
+HDFEOS_TESTDRIVERS_TAR=HDF-EOS2.19v1.00_TestDriver.tar
 
 # define the default compiler optimization level
 OPT_LVL=-g
@@ -109,10 +111,12 @@
 	@echo "No header files to generate or promote."
 	@/bin/touch include/HE2_config.h
 
-ProductLibs:
+ProductLibs: ProductLibs32 ProductLibs64
+
+ProductLibs32:
 	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2
 
-ProductLibs2:
+ProductLibs322:
 	@if [ ! -e $(HDFEOS_HOME)/lib/$(ARCH) ] ; then	\
 		cd $(HDFEOS_HOME)/lib;			\
 		ln -s `basename $(HDFEOS_LIB)` $(ARCH);		\
@@ -120,19 +124,40 @@
 	@cd $(HDFEOS_HOME)/src; $(MAKE) $(MFLAGS) all
 	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp
 
-LastPass:
+
+ProductLibs64:
+	@$(MAKE) $(MFLAGS) HE_ENV64 TARGET=$@2
+
+ProductLibs642:
+	@if [ ! -e $(HDFEOS_HOME)/lib/$(ARCH)64 ] ; then	\
+		cd $(HDFEOS_HOME)/lib;			\
+		ln -s `basename $(HDFEOS_LIB)` $(ARCH)64;		\
+	fi
+	@cd $(HDFEOS_HOME)/src; $(MAKE) $(MFLAGS) all
+	@cd $(TK_HOME)/src/GCT/freeware; $(MAKE) $(MFLAGS) gctp
+
+LastPass:LastPass32 LastPass64
+
+LastPass32:
 	@$(MAKE) $(MFLAGS) HE_ENV TARGET=$@2
 
-LastPass2:
+LastPass322:
 	@if [ ! -e $(HDFEOS_HOME)/bin/$(ARCH) ] ; then	\
 		cd $(HDFEOS_HOME)/bin;			\
 		ln -s `basename $(HDFEOS_BIN)` $(ARCH);\
 	fi
 	@cd $(HDFEOS_HOME)/util; $(MAKE) $(MFLAGS) all
 
-#	@echo "No utilites to build."
-
-
+
+LastPass64:
+	@$(MAKE) $(MFLAGS) HE_ENV64 TARGET=$@2
+
+LastPass642:
+	@if [ ! -e $(HDFEOS_HOME)/bin/$(ARCH)64 ] ; then	\
+		cd $(HDFEOS_HOME)/bin;			\
+		ln -s `basename $(HDFEOS_BIN)` $(ARCH)64;\
+	fi
+	@cd $(HDFEOS_HOME)/util; $(MAKE) $(MFLAGS) all
 
 FL_BuildImake:
 	@$(MAKE) $(MFLAGS) FL_HE_ENV TARGET=$@2
@@ -263,6 +288,37 @@
 	CC="gcc -m32";						\
 	export CC;						\
 	LNX_COMP_FLAG="-m32";					\
+	export LNX_COMP_FLAG;					\
+	fi;							\
+	MAKE="$(MAKECMD)";					\
+	AR='ar r';						\
+	HDFINC=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/include;	\
+	HDFLIB=$(HDF_BASE)/$$brand/$(CURRENT_HDF)/lib;		\
+	PGSINC=$(TK_HOME)/include;				\
+	SZIPLIB=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/lib;	\
+	SZIPINC=$(HDF_BASE)/$${brand}/$(CURRENT_SZIP)/include;	\
+	export MAKE AR HDFINC PGSINC SZIPINC SZIPLIB HDFLIB;	\
+	$(MAKE) $(MFLAGS) $(TARGET)
+
+HE_ENV64:
+	@case $(ARCH) in					\
+		hp10)    brand=hp;      ;;                      \
+		sgi6n32) brand=sgi32; sgi_mode=n32;  ;;         \
+		irix65)  brand=irix65; sgi_mode=65   ;;         \
+		sgi6)    brand=sgi64; sgi_mode=64;  ;;		\
+		sun5.5)  brand=sun5;    ;;			\
+		sun5.8)  brand=sun5.8;    ;;			\
+		linux)   LINUX_BRAND=linux64; brand=$(ARCH)64;; \
+		*)       brand=$(ARCH); ;;			\
+	esac;							\
+	HDFEOS_HOME=$(HE_HOME);					\
+	opt_flag=$(OPT_LVL);					\
+	export HDFEOS_HOME sgi_mode opt_flag LINUX_BRAND;	\
+	. $(HE_HOME)/bin/tmp/hdfeos_env.ksh.tmp;		\
+	if [ $(ARCH) = "linux" ] ; then				\
+	CC="gcc";						\
+	export CC;						\
+	LNX_COMP_FLAG="";					\
 	export LNX_COMP_FLAG;					\
 	fi;							\
 	MAKE="$(MAKECMD)";					\
@@ -345,15 +401,3 @@
 	fi;								\
 	if [ ! -f $$he_bin/hdfeos_env.ksh ] ; then			\
 		cd $$he_bin;						\
-		echo "HDFEOS_HOME=$(HE_HOME)" > hdfeos_env.ksh;		\
-		echo "HDFLIB=$$hdflib" >> hdfeos_env.ksh;		\
-		echo "HDFINC=$$hdfinc" >> hdfeos_env.ksh;		\
-		echo "SZIPLIB=$$sziplib" >> hdfeos_env.ksh;		\
-		echo "SZIPINC=$$szipinc" >> hdfeos_env.ksh;		\
-		echo "sgi_mode=$$sgi_mode" >> hdfeos_env.ksh;		\
-		echo "opt_flag=$$opt_flag" >> hdfeos_env.ksh;		\
-		echo "use_flavor=1" >> hdfeos_env.ksh;			\
-		sed "s^LNX_CMP_FLAG^$$LNX_COMP_FLAG^" 			\
-		$$tmpdir/hdfeos_env.ksh.tmp >> hdfeos_env.ksh;		\
-	fi
-

=== debian/changelog ===
hdf-eos4 (2.19v1.00+dfsg.1-7) unstable; urgency=medium

  * Set SHELL=/bin/sh to ensure reproducibility in example Makefiles

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Oct 2017 13:30:22 +0100

hdf-eos4 (2.19v1.00+dfsg.1-6) unstable; urgency=medium

  * Debhelper compat level now 10
  * Tidy up rules file to use debhelpers
  * Drop redundant deps on autotools, etc.
  * Standards-Version now 4.1.1
  * Drop obsolete triggers
  * Drop build path in examples, for repproducibility

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Oct 2017 15:08:34 +0100

hdf-eos4 (2.19v1.00+dfsg.1-5) unstable; urgency=medium

  * Standards-Version: 3.9.8
  * Pass CFLAGS, CPPFLAGS from build.
  * Hard-code SHELL=/bin/bash for reproducibility
  * Replace postinst /postrm which had ldconfig only with dpkg trigger

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jun 2016 09:01:48 +0100

hdf-eos4 (2.19v1.00+dfsg.1-3) unstable; urgency=medium

  * Build using libhdf-alt-dev rather than libhdf-dev for compatability
    with libgdal. Closes: #796743 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 24 Aug 2015 10:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 4.1.1
 Homepage: http://www.hdfeos.org
-Build-Depends: debhelper  (>= 9), dh-buildinfo,  gfortran, libhdf4g-dev, libjpeg-dev, zlib1g-dev, autotools-dev, libtool, libgctp-dev, autoconf, automake, dh-autoreconf
+Build-Depends: debhelper  (>= 10), dh-buildinfo,  gfortran,
+ libhdf4-alt-dev,
+ libjpeg-dev, libgctp-dev, zlib1g-dev
 
 Package: libhdfeos0
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
BUILDDIR:=$(shell pwd)
AUTOGENERATED:= libhdfeos-dev.install

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)

# Set SHELL in examples/ makefiles to /bin/sh
export CONFIG_SHELL=/bin/sh

# Magic debhelper rule
%:
	dh   $@ 

override_dh_auto_clean:
	find . -type l -delete
	rm -f libtool config.status config.log samples/*.hdf testdrivers/*/*.hdf
	rm -f $(patsubst %, debian/%, ${AUTOGENERATED})

override_dh_auto_test:
	@echo "Tests disabled"

override_dh_auto_configure:
	for f in ${AUTOGENERATED} ; do \
                sed -e 's%@ARCH@%${DEB_HOST_MULTIARCH}%g' < debian/$$f.in  > debian/$$f ; \
                done
	dh_auto_configure -- --enable-shared --with-pic \
		CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS) -Df2cFortran -I/usr/include/hdf"
	# FIXME: a sort of hack
	ln -sf testswath.f testdrivers/swath/testswath77.f
	ln -sf testpoint.f testdrivers/point/testpoint77.f

override_dh_auto_install:
	dh_auto_install
	# Undo permissions we don't want
	$(MAKE) -C samples clean
	chmod -x samples/*
	# Lose the builddir for reproducibility
	sed -e 's%${BUILDDIR}%/nonexistant%' < samples/Makefile > x
	mv x samples/Makefile
	# Symlinks
	dh_link -p libhdfeos0 $(LIBDIR)/libhdfeos.so.0.0.0  $(LIBDIR)/libhdfeos.so.0
	dh_link -p libhdfeos-dev $(LIBDIR)/libhdfeos.so.0.0.0 $(LIBDIR)/libhdfeos.so
